## org.apache.lucene.queryparser.surround.query
Class TooManyBasicQueries

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.lucene.queryparser.surround.query.TooManyBasicQueries

All Implemented Interfaces:
  Serializable

    public class TooManyBasicQueries

extends IOException

Exception thrown when `BasicQueryFactory` would exceed the limit of query clauses.

See Also:
  Serialized Form

Constructor Summary
`TooManyBasicQueries(int maxBasicQueries)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TooManyBasicQueries

    public TooManyBasicQueries(int maxBasicQueries)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.